Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.comparative
Class ComparativeOperator

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.comparative.ComparativeOperator

Direct Known Subclasses:
  Equals, GreaterOrEquals, GreaterThan, LessOrEquals, LessThan, NotEquals

public abstract class ComparativeOperator
extends Operator
implements BinaryOperator

Abstract base class for all Comparative Operators.

See Also:
  Serialized Form

Constructor Summary
`protected` | `ComparativeOperator()` Allocates a `ComparativeOperator` object.
`protected` | `ComparativeOperator(java.lang.Object lhs, java.lang.Object rhs)` Allocates a `ComparativeOperator` object by associating the given two operands.

Method Summary
`java.lang.Object` | `getLeftHandSide()`
`java.lang.Class[]` | `getParameterSignature()`
`java.lang.Object` | `getRightHandSide()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`accept, addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparativeOperator

    protected ComparativeOperator()

  Allocates a `ComparativeOperator` object.

### ComparativeOperator

    protected ComparativeOperator(java.lang.Object lhs,
                                  java.lang.Object rhs)

  Allocates a `ComparativeOperator` object by associating the given two operands.

  Parameters:
    `lhs` - The left hand side operand of this operator.
    `lhs` - The right hand side operand of this operator.

Method Detail

### getLeftHandSide

    public final java.lang.Object getLeftHandSide()

  Specified by:
    getLeftHandSide in interface BinaryOperator

### getRightHandSide

    public final java.lang.Object getRightHandSide()

  Specified by:
    getRightHandSide in interface BinaryOperator

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved